Subject: bug#23272: closed (Re: bug#23272: 25.0.92; syntax-propertize-via-font-lock considered harmful)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Feb 2020 02:20:02 +0000

Your bug report

#23272: 25.0.92; syntax-propertize-via-font-lock considered harmful

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23272: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23272
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23272: 25.0.92; syntax-propertize-via-font-lock considered harmful
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], Dmitry Gutov <[email-masked]>
Date: Sat, 29 Feb 2020 03:19:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

>> Considering font-lock-syntactic-keywords are obsolete since Emacs 24,
>> this is not very important, and people should feel free to close this
>> if a fix is not found soon.
>
> OK; I'll leave it open for now, but probably closing this in a month or
> so if nothing further happens.

That was 14 weeks ago, and there have been no further comments.

I'm therefore closing this bug now.

Best regards,
Stefan Kangas

Subject: 25.0.92; syntax-propertize-via-font-lock considered harmful
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Tue, 12 Apr 2016 01:54:01 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

It makes it impossible to call syntax-propertize without enabling
font-lock-mode first, e.g. when delay-mode-hooks is used.

Example:

(with-temp-buffer
  (insert "-- -*- mode: ada -*-")
  (delay-mode-hooks
    (set-auto-mode))
  (syntax-propertize (point)))

=> (error "Font-lock trying to use keywords before setting them up")

I've hit this when working on a patch in
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23223#38.